package mhp.oee.po.gen;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class ReasonCodeAlertPOExample {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table reason_code_alert
     *
     * @mbggenerated
     */
    protected String orderByClause;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table reason_code_alert
     *
     * @mbggenerated
     */
    protected boolean distinct;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table reason_code_alert
     *
     * @mbggenerated
     */
    protected List<Criteria> oredCriteria;

    private Integer limit;

    private Integer offset;

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_alert
     *
     * @mbggenerated
     */
    public ReasonCodeAlertPOExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_alert
     *
     * @mbggenerated
     */
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_alert
     *
     * @mbggenerated
     */
    public String getOrderByClause() {
        return orderByClause;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_alert
     *
     * @mbggenerated
     */
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_alert
     *
     * @mbggenerated
     */
    public boolean isDistinct() {
        return distinct;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_alert
     *
     * @mbggenerated
     */
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_alert
     *
     * @mbggenerated
     */
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_alert
     *
     * @mbggenerated
     */
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_alert
     *
     * @mbggenerated
     */
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_alert
     *
     * @mbggenerated
     */
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_alert
     *
     * @mbggenerated
     */
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    public void setLimit(Integer limit) {
        this.limit = limit;
    }

    public Integer getLimit() {
        return limit;
    }

    public void setOffset(Integer offset) {
        this.offset = offset;
    }

    public Integer getOffset() {
        return offset;
    }

    /**
     * This class was generated by MyBatis Generator.
     * This class corresponds to the database table reason_code_alert
     *
     * @mbggenerated
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andHandleIsNull() {
            addCriterion("HANDLE is null");
            return (Criteria) this;
        }

        public Criteria andHandleIsNotNull() {
            addCriterion("HANDLE is not null");
            return (Criteria) this;
        }

        public Criteria andHandleEqualTo(String value) {
            addCriterion("HANDLE =", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleNotEqualTo(String value) {
            addCriterion("HANDLE <>", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleGreaterThan(String value) {
            addCriterion("HANDLE >", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleGreaterThanOrEqualTo(String value) {
            addCriterion("HANDLE >=", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleLessThan(String value) {
            addCriterion("HANDLE <", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleLessThanOrEqualTo(String value) {
            addCriterion("HANDLE <=", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleLike(String value) {
            addCriterion("HANDLE like", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleNotLike(String value) {
            addCriterion("HANDLE not like", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleIn(List<String> values) {
            addCriterion("HANDLE in", values, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleNotIn(List<String> values) {
            addCriterion("HANDLE not in", values, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleBetween(String value1, String value2) {
            addCriterion("HANDLE between", value1, value2, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleNotBetween(String value1, String value2) {
            addCriterion("HANDLE not between", value1, value2, "handle");
            return (Criteria) this;
        }

        public Criteria andResourceTypeBoIsNull() {
            addCriterion("RESOURCE_TYPE_BO is null");
            return (Criteria) this;
        }

        public Criteria andResourceTypeBoIsNotNull() {
            addCriterion("RESOURCE_TYPE_BO is not null");
            return (Criteria) this;
        }

        public Criteria andResourceTypeBoEqualTo(String value) {
            addCriterion("RESOURCE_TYPE_BO =", value, "resourceTypeBo");
            return (Criteria) this;
        }

        public Criteria andResourceTypeBoNotEqualTo(String value) {
            addCriterion("RESOURCE_TYPE_BO <>", value, "resourceTypeBo");
            return (Criteria) this;
        }

        public Criteria andResourceTypeBoGreaterThan(String value) {
            addCriterion("RESOURCE_TYPE_BO >", value, "resourceTypeBo");
            return (Criteria) this;
        }

        public Criteria andResourceTypeBoGreaterThanOrEqualTo(String value) {
            addCriterion("RESOURCE_TYPE_BO >=", value, "resourceTypeBo");
            return (Criteria) this;
        }

        public Criteria andResourceTypeBoLessThan(String value) {
            addCriterion("RESOURCE_TYPE_BO <", value, "resourceTypeBo");
            return (Criteria) this;
        }

        public Criteria andResourceTypeBoLessThanOrEqualTo(String value) {
            addCriterion("RESOURCE_TYPE_BO <=", value, "resourceTypeBo");
            return (Criteria) this;
        }

        public Criteria andResourceTypeBoLike(String value) {
            addCriterion("RESOURCE_TYPE_BO like", value, "resourceTypeBo");
            return (Criteria) this;
        }

        public Criteria andResourceTypeBoNotLike(String value) {
            addCriterion("RESOURCE_TYPE_BO not like", value, "resourceTypeBo");
            return (Criteria) this;
        }

        public Criteria andResourceTypeBoIn(List<String> values) {
            addCriterion("RESOURCE_TYPE_BO in", values, "resourceTypeBo");
            return (Criteria) this;
        }

        public Criteria andResourceTypeBoNotIn(List<String> values) {
            addCriterion("RESOURCE_TYPE_BO not in", values, "resourceTypeBo");
            return (Criteria) this;
        }

        public Criteria andResourceTypeBoBetween(String value1, String value2) {
            addCriterion("RESOURCE_TYPE_BO between", value1, value2, "resourceTypeBo");
            return (Criteria) this;
        }

        public Criteria andResourceTypeBoNotBetween(String value1, String value2) {
            addCriterion("RESOURCE_TYPE_BO not between", value1, value2, "resourceTypeBo");
            return (Criteria) this;
        }

        public Criteria andAlertSequenceIdIsNull() {
            addCriterion("ALERT_SEQUENCE_ID is null");
            return (Criteria) this;
        }

        public Criteria andAlertSequenceIdIsNotNull() {
            addCriterion("ALERT_SEQUENCE_ID is not null");
            return (Criteria) this;
        }

        public Criteria andAlertSequenceIdEqualTo(String value) {
            addCriterion("ALERT_SEQUENCE_ID =", value, "alertSequenceId");
            return (Criteria) this;
        }

        public Criteria andAlertSequenceIdNotEqualTo(String value) {
            addCriterion("ALERT_SEQUENCE_ID <>", value, "alertSequenceId");
            return (Criteria) this;
        }

        public Criteria andAlertSequenceIdGreaterThan(String value) {
            addCriterion("ALERT_SEQUENCE_ID >", value, "alertSequenceId");
            return (Criteria) this;
        }

        public Criteria andAlertSequenceIdGreaterThanOrEqualTo(String value) {
            addCriterion("ALERT_SEQUENCE_ID >=", value, "alertSequenceId");
            return (Criteria) this;
        }

        public Criteria andAlertSequenceIdLessThan(String value) {
            addCriterion("ALERT_SEQUENCE_ID <", value, "alertSequenceId");
            return (Criteria) this;
        }

        public Criteria andAlertSequenceIdLessThanOrEqualTo(String value) {
            addCriterion("ALERT_SEQUENCE_ID <=", value, "alertSequenceId");
            return (Criteria) this;
        }

        public Criteria andAlertSequenceIdLike(String value) {
            addCriterion("ALERT_SEQUENCE_ID like", value, "alertSequenceId");
            return (Criteria) this;
        }

        public Criteria andAlertSequenceIdNotLike(String value) {
            addCriterion("ALERT_SEQUENCE_ID not like", value, "alertSequenceId");
            return (Criteria) this;
        }

        public Criteria andAlertSequenceIdIn(List<String> values) {
            addCriterion("ALERT_SEQUENCE_ID in", values, "alertSequenceId");
            return (Criteria) this;
        }

        public Criteria andAlertSequenceIdNotIn(List<String> values) {
            addCriterion("ALERT_SEQUENCE_ID not in", values, "alertSequenceId");
            return (Criteria) this;
        }

        public Criteria andAlertSequenceIdBetween(String value1, String value2) {
            addCriterion("ALERT_SEQUENCE_ID between", value1, value2, "alertSequenceId");
            return (Criteria) this;
        }

        public Criteria andAlertSequenceIdNotBetween(String value1, String value2) {
            addCriterion("ALERT_SEQUENCE_ID not between", value1, value2, "alertSequenceId");
            return (Criteria) this;
        }

        public Criteria andReasonCodeBoIsNull() {
            addCriterion("REASON_CODE_BO is null");
            return (Criteria) this;
        }

        public Criteria andReasonCodeBoIsNotNull() {
            addCriterion("REASON_CODE_BO is not null");
            return (Criteria) this;
        }

        public Criteria andReasonCodeBoEqualTo(String value) {
            addCriterion("REASON_CODE_BO =", value, "reasonCodeBo");
            return (Criteria) this;
        }

        public Criteria andReasonCodeBoNotEqualTo(String value) {
            addCriterion("REASON_CODE_BO <>", value, "reasonCodeBo");
            return (Criteria) this;
        }

        public Criteria andReasonCodeBoGreaterThan(String value) {
            addCriterion("REASON_CODE_BO >", value, "reasonCodeBo");
            return (Criteria) this;
        }

        public Criteria andReasonCodeBoGreaterThanOrEqualTo(String value) {
            addCriterion("REASON_CODE_BO >=", value, "reasonCodeBo");
            return (Criteria) this;
        }

        public Criteria andReasonCodeBoLessThan(String value) {
            addCriterion("REASON_CODE_BO <", value, "reasonCodeBo");
            return (Criteria) this;
        }

        public Criteria andReasonCodeBoLessThanOrEqualTo(String value) {
            addCriterion("REASON_CODE_BO <=", value, "reasonCodeBo");
            return (Criteria) this;
        }

        public Criteria andReasonCodeBoLike(String value) {
            addCriterion("REASON_CODE_BO like", value, "reasonCodeBo");
            return (Criteria) this;
        }

        public Criteria andReasonCodeBoNotLike(String value) {
            addCriterion("REASON_CODE_BO not like", value, "reasonCodeBo");
            return (Criteria) this;
        }

        public Criteria andReasonCodeBoIn(List<String> values) {
            addCriterion("REASON_CODE_BO in", values, "reasonCodeBo");
            return (Criteria) this;
        }

        public Criteria andReasonCodeBoNotIn(List<String> values) {
            addCriterion("REASON_CODE_BO not in", values, "reasonCodeBo");
            return (Criteria) this;
        }

        public Criteria andReasonCodeBoBetween(String value1, String value2) {
            addCriterion("REASON_CODE_BO between", value1, value2, "reasonCodeBo");
            return (Criteria) this;
        }

        public Criteria andReasonCodeBoNotBetween(String value1, String value2) {
            addCriterion("REASON_CODE_BO not between", value1, value2, "reasonCodeBo");
            return (Criteria) this;
        }

        public Criteria andStrtIsNull() {
            addCriterion("STRT is null");
            return (Criteria) this;
        }

        public Criteria andStrtIsNotNull() {
            addCriterion("STRT is not null");
            return (Criteria) this;
        }

        public Criteria andStrtEqualTo(String value) {
            addCriterion("STRT =", value, "strt");
            return (Criteria) this;
        }

        public Criteria andStrtNotEqualTo(String value) {
            addCriterion("STRT <>", value, "strt");
            return (Criteria) this;
        }

        public Criteria andStrtGreaterThan(String value) {
            addCriterion("STRT >", value, "strt");
            return (Criteria) this;
        }

        public Criteria andStrtGreaterThanOrEqualTo(String value) {
            addCriterion("STRT >=", value, "strt");
            return (Criteria) this;
        }

        public Criteria andStrtLessThan(String value) {
            addCriterion("STRT <", value, "strt");
            return (Criteria) this;
        }

        public Criteria andStrtLessThanOrEqualTo(String value) {
            addCriterion("STRT <=", value, "strt");
            return (Criteria) this;
        }

        public Criteria andStrtLike(String value) {
            addCriterion("STRT like", value, "strt");
            return (Criteria) this;
        }

        public Criteria andStrtNotLike(String value) {
            addCriterion("STRT not like", value, "strt");
            return (Criteria) this;
        }

        public Criteria andStrtIn(List<String> values) {
            addCriterion("STRT in", values, "strt");
            return (Criteria) this;
        }

        public Criteria andStrtNotIn(List<String> values) {
            addCriterion("STRT not in", values, "strt");
            return (Criteria) this;
        }

        public Criteria andStrtBetween(String value1, String value2) {
            addCriterion("STRT between", value1, value2, "strt");
            return (Criteria) this;
        }

        public Criteria andStrtNotBetween(String value1, String value2) {
            addCriterion("STRT not between", value1, value2, "strt");
            return (Criteria) this;
        }

        public Criteria andDescriptionIsNull() {
            addCriterion("DESCRIPTION is null");
            return (Criteria) this;
        }

        public Criteria andDescriptionIsNotNull() {
            addCriterion("DESCRIPTION is not null");
            return (Criteria) this;
        }

        public Criteria andDescriptionEqualTo(String value) {
            addCriterion("DESCRIPTION =", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionNotEqualTo(String value) {
            addCriterion("DESCRIPTION <>", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionGreaterThan(String value) {
            addCriterion("DESCRIPTION >", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionGreaterThanOrEqualTo(String value) {
            addCriterion("DESCRIPTION >=", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionLessThan(String value) {
            addCriterion("DESCRIPTION <", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionLessThanOrEqualTo(String value) {
            addCriterion("DESCRIPTION <=", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionLike(String value) {
            addCriterion("DESCRIPTION like", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionNotLike(String value) {
            addCriterion("DESCRIPTION not like", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionIn(List<String> values) {
            addCriterion("DESCRIPTION in", values, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionNotIn(List<String> values) {
            addCriterion("DESCRIPTION not in", values, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionBetween(String value1, String value2) {
            addCriterion("DESCRIPTION between", value1, value2, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionNotBetween(String value1, String value2) {
            addCriterion("DESCRIPTION not between", value1, value2, "description");
            return (Criteria) this;
        }

        public Criteria andUsedIsNull() {
            addCriterion("USED is null");
            return (Criteria) this;
        }

        public Criteria andUsedIsNotNull() {
            addCriterion("USED is not null");
            return (Criteria) this;
        }

        public Criteria andUsedEqualTo(String value) {
            addCriterion("USED =", value, "used");
            return (Criteria) this;
        }

        public Criteria andUsedNotEqualTo(String value) {
            addCriterion("USED <>", value, "used");
            return (Criteria) this;
        }

        public Criteria andUsedGreaterThan(String value) {
            addCriterion("USED >", value, "used");
            return (Criteria) this;
        }

        public Criteria andUsedGreaterThanOrEqualTo(String value) {
            addCriterion("USED >=", value, "used");
            return (Criteria) this;
        }

        public Criteria andUsedLessThan(String value) {
            addCriterion("USED <", value, "used");
            return (Criteria) this;
        }

        public Criteria andUsedLessThanOrEqualTo(String value) {
            addCriterion("USED <=", value, "used");
            return (Criteria) this;
        }

        public Criteria andUsedLike(String value) {
            addCriterion("USED like", value, "used");
            return (Criteria) this;
        }

        public Criteria andUsedNotLike(String value) {
            addCriterion("USED not like", value, "used");
            return (Criteria) this;
        }

        public Criteria andUsedIn(List<String> values) {
            addCriterion("USED in", values, "used");
            return (Criteria) this;
        }

        public Criteria andUsedNotIn(List<String> values) {
            addCriterion("USED not in", values, "used");
            return (Criteria) this;
        }

        public Criteria andUsedBetween(String value1, String value2) {
            addCriterion("USED between", value1, value2, "used");
            return (Criteria) this;
        }

        public Criteria andUsedNotBetween(String value1, String value2) {
            addCriterion("USED not between", value1, value2, "used");
            return (Criteria) this;
        }

        public Criteria andStartDateTimeIsNull() {
            addCriterion("START_DATE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andStartDateTimeIsNotNull() {
            addCriterion("START_DATE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andStartDateTimeEqualTo(Date value) {
            addCriterion("START_DATE_TIME =", value, "startDateTime");
            return (Criteria) this;
        }

        public Criteria andStartDateTimeNotEqualTo(Date value) {
            addCriterion("START_DATE_TIME <>", value, "startDateTime");
            return (Criteria) this;
        }

        public Criteria andStartDateTimeGreaterThan(Date value) {
            addCriterion("START_DATE_TIME >", value, "startDateTime");
            return (Criteria) this;
        }

        public Criteria andStartDateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("START_DATE_TIME >=", value, "startDateTime");
            return (Criteria) this;
        }

        public Criteria andStartDateTimeLessThan(Date value) {
            addCriterion("START_DATE_TIME <", value, "startDateTime");
            return (Criteria) this;
        }

        public Criteria andStartDateTimeLessThanOrEqualTo(Date value) {
            addCriterion("START_DATE_TIME <=", value, "startDateTime");
            return (Criteria) this;
        }

        public Criteria andStartDateTimeIn(List<Date> values) {
            addCriterion("START_DATE_TIME in", values, "startDateTime");
            return (Criteria) this;
        }

        public Criteria andStartDateTimeNotIn(List<Date> values) {
            addCriterion("START_DATE_TIME not in", values, "startDateTime");
            return (Criteria) this;
        }

        public Criteria andStartDateTimeBetween(Date value1, Date value2) {
            addCriterion("START_DATE_TIME between", value1, value2, "startDateTime");
            return (Criteria) this;
        }

        public Criteria andStartDateTimeNotBetween(Date value1, Date value2) {
            addCriterion("START_DATE_TIME not between", value1, value2, "startDateTime");
            return (Criteria) this;
        }

        public Criteria andEndDateTimeIsNull() {
            addCriterion("END_DATE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andEndDateTimeIsNotNull() {
            addCriterion("END_DATE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andEndDateTimeEqualTo(Date value) {
            addCriterion("END_DATE_TIME =", value, "endDateTime");
            return (Criteria) this;
        }

        public Criteria andEndDateTimeNotEqualTo(Date value) {
            addCriterion("END_DATE_TIME <>", value, "endDateTime");
            return (Criteria) this;
        }

        public Criteria andEndDateTimeGreaterThan(Date value) {
            addCriterion("END_DATE_TIME >", value, "endDateTime");
            return (Criteria) this;
        }

        public Criteria andEndDateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("END_DATE_TIME >=", value, "endDateTime");
            return (Criteria) this;
        }

        public Criteria andEndDateTimeLessThan(Date value) {
            addCriterion("END_DATE_TIME <", value, "endDateTime");
            return (Criteria) this;
        }

        public Criteria andEndDateTimeLessThanOrEqualTo(Date value) {
            addCriterion("END_DATE_TIME <=", value, "endDateTime");
            return (Criteria) this;
        }

        public Criteria andEndDateTimeIn(List<Date> values) {
            addCriterion("END_DATE_TIME in", values, "endDateTime");
            return (Criteria) this;
        }

        public Criteria andEndDateTimeNotIn(List<Date> values) {
            addCriterion("END_DATE_TIME not in", values, "endDateTime");
            return (Criteria) this;
        }

        public Criteria andEndDateTimeBetween(Date value1, Date value2) {
            addCriterion("END_DATE_TIME between", value1, value2, "endDateTime");
            return (Criteria) this;
        }

        public Criteria andEndDateTimeNotBetween(Date value1, Date value2) {
            addCriterion("END_DATE_TIME not between", value1, value2, "endDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeIsNull() {
            addCriterion("CREATED_DATE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeIsNotNull() {
            addCriterion("CREATED_DATE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeEqualTo(Date value) {
            addCriterion("CREATED_DATE_TIME =", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeNotEqualTo(Date value) {
            addCriterion("CREATED_DATE_TIME <>", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeGreaterThan(Date value) {
            addCriterion("CREATED_DATE_TIME >", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATED_DATE_TIME >=", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeLessThan(Date value) {
            addCriterion("CREATED_DATE_TIME <", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeLessThanOrEqualTo(Date value) {
            addCriterion("CREATED_DATE_TIME <=", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeIn(List<Date> values) {
            addCriterion("CREATED_DATE_TIME in", values, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeNotIn(List<Date> values) {
            addCriterion("CREATED_DATE_TIME not in", values, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeBetween(Date value1, Date value2) {
            addCriterion("CREATED_DATE_TIME between", value1, value2, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeNotBetween(Date value1, Date value2) {
            addCriterion("CREATED_DATE_TIME not between", value1, value2, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeIsNull() {
            addCriterion("MODIFIED_DATE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeIsNotNull() {
            addCriterion("MODIFIED_DATE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeEqualTo(Date value) {
            addCriterion("MODIFIED_DATE_TIME =", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeNotEqualTo(Date value) {
            addCriterion("MODIFIED_DATE_TIME <>", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeGreaterThan(Date value) {
            addCriterion("MODIFIED_DATE_TIME >", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("MODIFIED_DATE_TIME >=", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeLessThan(Date value) {
            addCriterion("MODIFIED_DATE_TIME <", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeLessThanOrEqualTo(Date value) {
            addCriterion("MODIFIED_DATE_TIME <=", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeIn(List<Date> values) {
            addCriterion("MODIFIED_DATE_TIME in", values, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeNotIn(List<Date> values) {
            addCriterion("MODIFIED_DATE_TIME not in", values, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeBetween(Date value1, Date value2) {
            addCriterion("MODIFIED_DATE_TIME between", value1, value2, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeNotBetween(Date value1, Date value2) {
            addCriterion("MODIFIED_DATE_TIME not between", value1, value2, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedUserIsNull() {
            addCriterion("MODIFIED_USER is null");
            return (Criteria) this;
        }

        public Criteria andModifiedUserIsNotNull() {
            addCriterion("MODIFIED_USER is not null");
            return (Criteria) this;
        }

        public Criteria andModifiedUserEqualTo(String value) {
            addCriterion("MODIFIED_USER =", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserNotEqualTo(String value) {
            addCriterion("MODIFIED_USER <>", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserGreaterThan(String value) {
            addCriterion("MODIFIED_USER >", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserGreaterThanOrEqualTo(String value) {
            addCriterion("MODIFIED_USER >=", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserLessThan(String value) {
            addCriterion("MODIFIED_USER <", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserLessThanOrEqualTo(String value) {
            addCriterion("MODIFIED_USER <=", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserLike(String value) {
            addCriterion("MODIFIED_USER like", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserNotLike(String value) {
            addCriterion("MODIFIED_USER not like", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserIn(List<String> values) {
            addCriterion("MODIFIED_USER in", values, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserNotIn(List<String> values) {
            addCriterion("MODIFIED_USER not in", values, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserBetween(String value1, String value2) {
            addCriterion("MODIFIED_USER between", value1, value2, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserNotBetween(String value1, String value2) {
            addCriterion("MODIFIED_USER not between", value1, value2, "modifiedUser");
            return (Criteria) this;
        }
    }

    /**
     * This class was generated by MyBatis Generator.
     * This class corresponds to the database table reason_code_alert
     *
     * @mbggenerated do_not_delete_during_merge
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * This class was generated by MyBatis Generator.
     * This class corresponds to the database table reason_code_alert
     *
     * @mbggenerated
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}